summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMarkus Ullmann <jokey@gentoo.org>2008-03-03 17:05:06 +0000
committerMarkus Ullmann <jokey@gentoo.org>2008-03-03 17:05:06 +0000
commit9b74c986e05811cec4a23e174cb7c7f82c8c3153 (patch)
tree9742231c42626d6c44f203b0609e5cf1e5a17046 /eclass/php-common-r1.eclass
parentVersion bump from project overlay (diff)
downloadgentoo-2-9b74c986e05811cec4a23e174cb7c7f82c8c3153.tar.gz
gentoo-2-9b74c986e05811cec4a23e174cb7c7f82c8c3153.tar.bz2
gentoo-2-9b74c986e05811cec4a23e174cb7c7f82c8c3153.zip
Some cleanups from project overlay
Diffstat (limited to 'eclass/php-common-r1.eclass')
-rw-r--r--eclass/php-common-r1.eclass22
1 files changed, 11 insertions, 11 deletions
diff --git a/eclass/php-common-r1.eclass b/eclass/php-common-r1.eclass
index 6e0fcd448923..e70a182fb76c 100644
--- a/eclass/php-common-r1.eclass
+++ b/eclass/php-common-r1.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2007 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/php-common-r1.eclass,v 1.12 2007/11/29 23:11:04 jokey Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/php-common-r1.eclass,v 1.13 2008/03/03 17:05:06 jokey Exp $
# Based on robbat2's work on the php4 sapi eclass
# Based on stuart's work on the php5 sapi eclass
@@ -20,18 +20,9 @@
# ========================================================================
php_check_cflags() {
- # Filter the following from C[XX]FLAGS regardless, as apache won't be
- # supporting LFS until 2.2 is released and in the tree. Fixes bug #24373.
- filter-flags "-D_FILE_OFFSET_BITS=64"
- filter-flags "-D_FILE_OFFSET_BITS=32"
- filter-flags "-D_LARGEFILE_SOURCE=1"
- filter-flags "-D_LARGEFILE_SOURCE"
-
# Fixes bug #14067.
# Changed order to run it in reverse for bug #32022 and #12021.
- replace-flags "-march=k6-3" "-march=i586"
- replace-flags "-march=k6-2" "-march=i586"
- replace-flags "-march=k6" "-march=i586"
+ replace-cpu-flags "k6*" "i586"
}
# ========================================================================
@@ -58,6 +49,15 @@ php_check_imap() {
die "Please recompile the IMAP C-Client libraries with SSL support disabled"
fi
fi
+
+ if use "kolab" || phpconfutils_usecheck "kolab" ; then
+ if ! built_with_use net-libs/c-client kolab ; then
+ eerror
+ eerror "IMAP with annotations support requested, but net-libs/c-client is built without it!"
+ eerror
+ die "Please recompile net-libs/c-client with USE=kolab."
+ fi
+ fi
}
# ========================================================================